GNU bug report logs - #14607
24.3; gdb shell command does not work properly (zsh: command not found: -interpreter-exec)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: koen.meersman@HIDDEN; Keywords: moreinfo; Done: Stefan Kangas <stefankangas@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 14607-done <at> debbugs.gnu.org:


Received: (at 14607-done) by debbugs.gnu.org; 9 Jun 2024 21:12:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 09 17:12:52 2024
Received: from localhost ([127.0.0.1]:32917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sGPqN-0004O4-Mx
	for submit <at> debbugs.gnu.org; Sun, 09 Jun 2024 17:12:52 -0400
Received: from mail-ed1-f54.google.com ([209.85.208.54]:51592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1sGPqK-0004NX-Oz
 for 14607-done <at> debbugs.gnu.org; Sun, 09 Jun 2024 17:12:49 -0400
Received: by mail-ed1-f54.google.com with SMTP id
 4fb4d7f45d1cf-57c68682d1aso1579418a12.3
 for <14607-done <at> debbugs.gnu.org>; Sun, 09 Jun 2024 14:12:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1717967486; x=1718572286; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=q29wUXtO4eN2h5icXICR5PYXo8aSGD04hR2niopQi2I=;
 b=JB3Kp7Zh1s37U3x7Svm1AvRF8B1/8TGGs0PLwrpNgQFIokrZ/8c0KnYx7n9yOrKdD3
 K/S4BMZUwF//FCHizdbnn8QsZVsFTgXmMBnWoqU3pUeZ7P7XE4nTzOrbvn1oxwzesCin
 GsDJjOHEpn5pKmTSsQtv6bMkDgGU3EQOg1UnD5OmEQ5pIBsx0usvTImsS7LJWtKLlc61
 Zvy58p5siBK0DMW24/TRBWkc80bW3kEd7gvpA7JEJqbUe2d98baXTOTNk4FZrETjl33g
 5DV+mqHTyQIQdynEyh5XV2mvTi7f1My2Kx9ugnTX87O3isb7zHK+FWqfkedC+QxmMauW
 Sjfg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1717967486; x=1718572286;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=q29wUXtO4eN2h5icXICR5PYXo8aSGD04hR2niopQi2I=;
 b=u1nhhhqIP+QMtdrPhtlno53w+Kcb1Ax1fUqEBcZCz5Tkrpk+twXTcT02D9ZMxXd6RT
 620DDWSXdbmJPll/3SFfG8wFUIm094uRywgb5wMFQB+nkQnh2KQBStT210AtGvdmBjZJ
 3R0H6+ASXFHHBhxcRwBy+nMoj+4LhggBHM7aTK1vPYizq+NMlSihzPbwPIbAEiW6DmPq
 xomqjmFbiRlu4TrhkUBKj5/Y9MwXPQYIvkCmCZNhFKtmQgkuN3SrGxxIGJwFUoUC3ypM
 frpzPdsCI6HA0CHnJFl5ggiDu6bhAvb3ubhhNZjETTjWTIDoBPwBTTyXxNB5N1lDarNk
 zEeA==
X-Forwarded-Encrypted: i=1;
 AJvYcCUyPwYh7Hk9MxrwSdxLxSOfCS98zADL1WeWIu44DGhC1mwtfSWQ4ZzN2h5eZsXAvhxDl+gW4ywUkepbzkWEjaqHwN1iAAqdhRl48w==
X-Gm-Message-State: AOJu0Yz63brxBWPSnWH4yd2BGKUyNNtmQvTgjT4RqApttfD5OUkqhp38
 5UmSBA8F38GtrJFcBqHzsO+GsgQ32S4sqNYyWOMtoxYXZlq8n+qhOFGbK5RTdw0EwycHF61BORe
 SfDvxl/Qwc17fL7IfHpkeTqQWmk0FnKNdQQk=
X-Google-Smtp-Source: AGHT+IH4aXDDbhBWUiKy9yuZp5NdPNWB6kZVrOCOXf4uD/cGHAUIGPDZwR/uh524ivPn5AcRCzDKShEMp9sbOcF5FOs=
X-Received: by 2002:a17:906:d147:b0:a6f:feb:7f1c with SMTP id
 a640c23a62f3a-a6f0feb7fd2mr220211466b.1.1717966968673; Sun, 09 Jun 2024
 14:02:48 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 9 Jun 2024 17:02:48 -0400
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <CADwFkmkJSor8dkiSM6Rod80KPayzPtEUh5yOh_5nebR3Yp3ARQ@HIDDEN>
 (Stefan Kangas's message of "Wed, 10 Jan 2024 03:16:05 -0800")
References: <mswqpye20j.fsf@HIDDEN>
 <cd61xgsfh3.fsf@HIDDEN>
 <6EC34BA858174241AC9E4AE843A0745801E202C1@HIDDEN>
 <CADwFkmkJSor8dkiSM6Rod80KPayzPtEUh5yOh_5nebR3Yp3ARQ@HIDDEN>
MIME-Version: 1.0
Date: Sun, 9 Jun 2024 17:02:48 -0400
Message-ID: <CADwFkmksjSpNFH9ifX4OffJTjJ3UZq6gtuZL89AsWCR3SOGBVA@HIDDEN>
Subject: Re: bug#14607: 24.3; gdb shell command does not work properly (zsh:
 command not found: -interpreter-exec)
To: MEERSMAN Koen <koen.meersman@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 14607-done
Cc: Glenn Morris <rgm@HIDDEN>, 14607-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefankangas@HIDDEN> writes:

> "MEERSMAN Koen" <koen.meersman@HIDDEN> writes:
>
>> Indeed,
>>
>> I played a bit with  gdb-control-commands-regexp and gdb-control-level
>> but I was not able to find a quick fix.
>> (otherwise I would have added it to the bug report.)
>>
>> I'll try to teach the developers not to use shell inside gdb, if you do
>> it then you can't exit the shell and return to gdb.
>>
>> Tnx,
>>
>> Koen
>>
>>
>> -----Original Message-----
>> From: Glenn Morris [mailto:rgm@HIDDEN]
>> Sent: 14 June, 2013 20:41
>> To: MEERSMAN Koen
>> Cc: 14607 <at> debbugs.gnu.org
>> Subject: Re: bug#14607: 24.3; gdb shell command does not work properly
>> (zsh: command not found: -interpreter-exec)
>>
>>
>> Adding "shell" to gdb-control-commands-regexp seems to somewhat help,
>> but it still isn't right.
>
> That was 10 years ago, so I'm reaching out to see if this is still
> relevant on a modern version of Emacs.
>
> If I don't hear back from you within a couple of months, Ill just assume
> that this has been fixed and close this bug.
>
> Thanks in advance.

More information was requested, but none was given within 5 months, so
I'm closing this bug.

If this is still an issue, please reply to this email (use "Reply to
all" in your email client) and we can reopen the bug report.




Notification sent to koen.meersman@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Stefan Kangas <stefankangas@HIDDEN>:
You have taken responsibility. Full text available.
Added tag(s) moreinfo. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 14607 <at> debbugs.gnu.org:


Received: (at 14607) by debbugs.gnu.org; 10 Jan 2024 11:16:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 10 06:16:32 2024
Received: from localhost ([127.0.0.1]:42203 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rNWZK-0002MT-QT
	for submit <at> debbugs.gnu.org; Wed, 10 Jan 2024 06:16:32 -0500
Received: from mail-lf1-x12c.google.com ([2a00:1450:4864:20::12c]:54779)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1rNWZH-0002FJ-DB
 for 14607 <at> debbugs.gnu.org; Wed, 10 Jan 2024 06:16:20 -0500
Received: by mail-lf1-x12c.google.com with SMTP id
 2adb3069b0e04-50e7af5f618so4410302e87.1
 for <14607 <at> debbugs.gnu.org>; Wed, 10 Jan 2024 03:16:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1704885366; x=1705490166; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=Be5eRjJ9er3Lr1A4jJrn50bxW3Q8W0L2dCFFbElAlqY=;
 b=jkM+FVyg5K/1aOgA9/ovSZvEdm5Si6aQ2ESW2fLE4hmMqgbidEQfjE3l9iw3oKqe8j
 lArt53P8jtj6/gfW/YAA4bGjN1FYAyTEPa1E2Tmi9v6XuEC7LilR9MGXSkhfsSoEdiL9
 ryk5vXLLsLWlziHusquo0GCWEVYczJwssABA4/gZBuFmGB2pJ+rRSE/iHc4PyTGNJ18x
 UTjPRNOVJQFjud36Uoi+iEG6WfidOGXj0IpRVouurCw+ttsLnqcOUe2VoRTMwVz9XI6y
 ZhWQkts4jmyoBbzR3Qgto9QFDHtbmttEnL0lCcH9sbWAY8dAFeDVMSEuvHnTFpv90Qgs
 gcbQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1704885366; x=1705490166;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=Be5eRjJ9er3Lr1A4jJrn50bxW3Q8W0L2dCFFbElAlqY=;
 b=Nf59NHlQLmskYYCbhBWgZG28NIKnElePzK5kl9gcMqpW39Yx7wkHzxnEfFiits3b4E
 FsOc9J/f8DOF2I0KBzTKC8KtyO5/84AmWyiXYI9EyLH0XTCgs46jFpx8ytV+VepFHUJ2
 uCdAGMVz+njvYt03qaSSMuSonsbXokMMygB2GraF9nuZJIdgoXmePPZ4ls+ZK+cMCo2o
 sdsxK95iDjTajGqkdVCwd51b70t/5MPvGczgml/ErCw+iVKNZnQ9APhrWxM2Kt/73jdC
 BIWlhv5WpK0ot166y84vmxGEPIjukFyBsMfdIRxv4fnUqFXDbL20v5iH3v5y4E+6zXPr
 0AWA==
X-Gm-Message-State: AOJu0YwC4rSZUXAUEgb3f7TbIeK4zdAHyniwcCxWZfNCmzv034Na85Up
 CdXZWbDfWio31ZZU9s0j5eBQeKMtYGuJdlWvk3b9tcBu8xB5Xw==
X-Google-Smtp-Source: AGHT+IHVlaus8ieaoqPfr5KApq1b1wAhdpLZAZEohUdg7invuULbg+D9UeusJC7XKOjMCZASLPSn5BZY0E/5cPNPhHU=
X-Received: by 2002:ac2:58cf:0:b0:50e:8ece:1058 with SMTP id
 u15-20020ac258cf000000b0050e8ece1058mr258701lfo.137.1704885365916; Wed, 10
 Jan 2024 03:16:05 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 10 Jan 2024 03:16:05 -0800
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <6EC34BA858174241AC9E4AE843A0745801E202C1@HIDDEN>
 (MEERSMAN Koen's message of "Tue, 18 Jun 2013 12:46:52 +0200")
References: <mswqpye20j.fsf@HIDDEN>
 <cd61xgsfh3.fsf@HIDDEN>
 <6EC34BA858174241AC9E4AE843A0745801E202C1@HIDDEN>
MIME-Version: 1.0
Date: Wed, 10 Jan 2024 03:16:05 -0800
Message-ID: <CADwFkmkJSor8dkiSM6Rod80KPayzPtEUh5yOh_5nebR3Yp3ARQ@HIDDEN>
Subject: Re: bug#14607: 24.3; gdb shell command does not work properly (zsh:
 command not found: -interpreter-exec)
To: MEERSMAN Koen <koen.meersman@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 14607
Cc: Glenn Morris <rgm@HIDDEN>, 14607 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"MEERSMAN Koen" <koen.meersman@HIDDEN> writes:

> Indeed,
>
> I played a bit with  gdb-control-commands-regexp and gdb-control-level
> but I was not able to find a quick fix.
> (otherwise I would have added it to the bug report.)
>
> I'll try to teach the developers not to use shell inside gdb, if you do
> it then you can't exit the shell and return to gdb.
>
> Tnx,
>
> Koen
>
>
> -----Original Message-----
> From: Glenn Morris [mailto:rgm@HIDDEN]
> Sent: 14 June, 2013 20:41
> To: MEERSMAN Koen
> Cc: 14607 <at> debbugs.gnu.org
> Subject: Re: bug#14607: 24.3; gdb shell command does not work properly
> (zsh: command not found: -interpreter-exec)
>
>
> Adding "shell" to gdb-control-commands-regexp seems to somewhat help,
> but it still isn't right.

That was 10 years ago, so I'm reaching out to see if this is still
relevant on a modern version of Emacs.

If I don't hear back from you within a couple of months, Ill just assume
that this has been fixed and close this bug.

Thanks in advance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14607; Package emacs. Full text available.

Message received at 14607 <at> debbugs.gnu.org:


Received: (at 14607) by debbugs.gnu.org; 18 Jun 2013 10:47:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 18 06:47:04 2013
Received: from localhost ([127.0.0.1]:52425 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UotRH-0007g2-Vo
	for submit <at> debbugs.gnu.org; Tue, 18 Jun 2013 06:47:04 -0400
Received: from exprod8og111.obsmtp.com ([64.18.3.22]:34489)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <koen.meersman@HIDDEN>) id 1UotRE-0007fU-5c
 for 14607 <at> debbugs.gnu.org; Tue, 18 Jun 2013 06:47:01 -0400
Received: from draco.eurocontrol.int ([153.98.68.229]) (using TLSv1) by
 exprod8ob111.postini.com ([64.18.7.12]) with SMTP
 ID DSNKUcA6osSoNQeVqOvECC1sAt5MejgTaIOv@HIDDEN;
 Tue, 18 Jun 2013 03:46:59 PDT
Received: from hhbrue013.hq.corp.eurocontrol.int
 (hhbrue013.hq.corp.eurocontrol.int [172.21.42.121])
 by draco.eurocontrol.int (8.13.8/8.13.8) with ESMTP id r5IAkuGh009350
 for <14607 <at> debbugs.gnu.org>; Tue, 18 Jun 2013 12:46:56 +0200
Received: from HHBRUE007.hq.corp.eurocontrol.int ([193.221.160.203]) by
 hhbrue013.hq.corp.eurocontrol.int with Microsoft SMTPSVC(6.0.3790.4675); 
 Tue, 18 Jun 2013 12:46:56 +0200
Received: from FFBRUE003.cfmu.corp.eurocontrol.int ([172.19.2.48]) by
 HHBRUE007.hq.corp.eurocontrol.int with Microsoft SMTPSVC(6.0.3790.4675); 
 Tue, 18 Jun 2013 12:46:56 +0200
X-MimeOLE: Produced By Microsoft Exchange V6.5
Content-class: urn:content-classes:message
MIME-Version: 1.0
Content-Type: text/plain;
	charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
Subject: RE: bug#14607: 24.3;
 gdb shell command does not work properly (zsh: command not found:
 -interpreter-exec)
Date: Tue, 18 Jun 2013 12:46:52 +0200
Message-ID: <6EC34BA858174241AC9E4AE843A0745801E202C1@HIDDEN>
In-Reply-To: <cd61xgsfh3.fsf@HIDDEN>
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
Thread-Topic: bug#14607: 24.3;
 gdb shell command does not work properly (zsh: command not
 found: -interpreter-exec)
Thread-Index: Ac5pLq8cQ9iLVy6NQUWSvwjbwWU37wC4f3sQ
References: <mswqpye20j.fsf@HIDDEN>
 <cd61xgsfh3.fsf@HIDDEN>
From: "MEERSMAN Koen" <koen.meersman@HIDDEN>
To: "Glenn Morris" <rgm@HIDDEN>
X-OriginalArrivalTime: 18 Jun 2013 10:46:56.0392 (UTC)
 FILETIME=[26F16080:01CE6C11]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 14607
Cc: 14607 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Indeed,

I played a bit with  gdb-control-commands-regexp and gdb-control-level
but I was not able to find a quick fix.
(otherwise I would have added it to the bug report.)

I'll try to teach the developers not to use shell inside gdb, if you do
it then you can't exit the shell and return to gdb.

Tnx,

Koen


-----Original Message-----
From: Glenn Morris [mailto:rgm@HIDDEN] 
Sent: 14 June, 2013 20:41
To: MEERSMAN Koen
Cc: 14607 <at> debbugs.gnu.org
Subject: Re: bug#14607: 24.3; gdb shell command does not work properly
(zsh: command not found: -interpreter-exec)


Adding "shell" to gdb-control-commands-regexp seems to somewhat help,
but it still isn't right.

____
=A0
This message and any files transmitted with it are legally privileged and in=
tended for the sole use of the individual(s) or entity to whom they are addr=
essed. If you are not the intended recipient, please notify the sender by re=
ply and delete the message and any attachments from your system. Any unautho=
rised use or disclosure of the content of this message is strictly prohibite=
d and may be unlawful.
=A0
Nothing in this e-mail message amounts to a contractual or legal commitment =
on the part of EUROCONTROL, unless it is confirmed by appropriately signed h=
ard copy.
=A0
Any views expressed in this message are those of the sender.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14607; Package emacs. Full text available.

Message received at 14607 <at> debbugs.gnu.org:


Received: (at 14607) by debbugs.gnu.org; 14 Jun 2013 18:40:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 14 14:40:43 2013
Received: from localhost ([127.0.0.1]:44577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UnYvS-000154-RK
	for submit <at> debbugs.gnu.org; Fri, 14 Jun 2013 14:40:43 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:43716 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1UnYvS-00014x-0G
 for 14607 <at> debbugs.gnu.org; Fri, 14 Jun 2013 14:40:42 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1UnYvQ-0002Mn-G1; Fri, 14 Jun 2013 14:40:40 -0400
From: Glenn Morris <rgm@HIDDEN>
To: koen.meersman@HIDDEN
Subject: Re: bug#14607: 24.3;
 gdb shell command does not work properly (zsh: command not found:
 -interpreter-exec)
References: <mswqpye20j.fsf@HIDDEN>
X-Spook: digicash plutonium Europol bluebird Serbian event
X-Ran: 8&0L'#13/Y6P57/L#r0VXNsj(~el*Ec^Byoi)2y~B>N$/o:Y~/%82+F-)oU/<WM2d=:u~V
X-Hue: yellow
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 14 Jun 2013 14:40:40 -0400
Message-ID: <cd61xgsfh3.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.3 (-----)
X-Debbugs-Envelope-To: 14607
Cc: 14607 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)


Adding "shell" to gdb-control-commands-regexp seems to somewhat help,
but it still isn't right.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14607; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jun 2013 15:48:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 13 11:48:54 2013
Received: from localhost ([127.0.0.1]:41662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Un9lc-0002Gd-C5
	for submit <at> debbugs.gnu.org; Thu, 13 Jun 2013 11:48:53 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41270)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <koen.meersman@HIDDEN>) id 1Un4o2-0001fu-Gp
 for submit <at> debbugs.gnu.org; Thu, 13 Jun 2013 06:31:04 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <koen.meersman@HIDDEN>) id 1Un4nt-0007xR-IJ
 for submit <at> debbugs.gnu.org; Thu, 13 Jun 2013 06:30:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57288)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <koen.meersman@HIDDEN>) id 1Un4nt-0007xN-9N
 for submit <at> debbugs.gnu.org; Thu, 13 Jun 2013 06:30:53 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42973)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <koen.meersman@HIDDEN>) id 1Un4np-0003R1-R4
 for bug-gnu-emacs@HIDDEN; Thu, 13 Jun 2013 06:30:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <koen.meersman@HIDDEN>) id 1Un4nk-0007vB-CB
 for bug-gnu-emacs@HIDDEN; Thu, 13 Jun 2013 06:30:49 -0400
Received: from exprod8og111.obsmtp.com ([64.18.3.22]:43313)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <koen.meersman@HIDDEN>) id 1Un4nj-0007uJ-Sc
 for bug-gnu-emacs@HIDDEN; Thu, 13 Jun 2013 06:30:44 -0400
Received: from lupus.eurocontrol.int ([153.98.68.228]) (using TLSv1) by
 exprod8ob111.postini.com ([64.18.7.12]) with SMTP
 ID DSNKUbmfUFTKdVActvQrgst5r6cfvxXM25+I@HIDDEN;
 Thu, 13 Jun 2013 03:30:43 PDT
Received: from hhbrue013.hq.corp.eurocontrol.int
 (hhbrue013.hq.corp.eurocontrol.int [172.21.42.121])
 by lupus.eurocontrol.int (8.13.8/8.13.8) with ESMTP id r5DAUbmO022879
 for <bug-gnu-emacs@HIDDEN>; Thu, 13 Jun 2013 12:30:38 +0200
Received: from HHBRUE011.hq.corp.eurocontrol.int ([193.221.161.80]) by
 hhbrue013.hq.corp.eurocontrol.int with Microsoft SMTPSVC(6.0.3790.4675); 
 Thu, 13 Jun 2013 12:30:37 +0200
Received: from FFBRUE002.cfmu.corp.eurocontrol.int ([172.19.2.36]) by
 HHBRUE011.hq.corp.eurocontrol.int with Microsoft SMTPSVC(6.0.3790.4675); 
 Thu, 13 Jun 2013 12:30:37 +0200
Received: from dhinfd01.cfmu.corp.eurocontrol.int ([172.19.182.72]) by
 FFBRUE002.cfmu.corp.eurocontrol.int with Microsoft SMTPSVC(6.0.3790.4675); 
 Thu, 13 Jun 2013 12:30:36 +0200
Received: from dhws009.cfmu.corp.eurocontrol.int
 (dhws009.cfmu.corp.eurocontrol.int [172.19.141.61])
 by dhinfd01.cfmu.corp.eurocontrol.int (8.13.8/8.13.8) with ESMTP id
 r5DAUbUc000967
 for <bug-gnu-emacs@HIDDEN>; Thu, 13 Jun 2013 12:30:37 +0200
Received: from dhws009.cfmu.corp.eurocontrol.int (localhost [127.0.0.1])
 by dhws009.cfmu.corp.eurocontrol.int (8.13.8/8.13.8) with ESMTP id
 r5DAUb1h023047
 for <bug-gnu-emacs@HIDDEN>; Thu, 13 Jun 2013 12:30:37 +0200
Received: (from mea@localhost)
 by dhws009.cfmu.corp.eurocontrol.int (8.13.8/8.13.8/Submit) id r5DAUaAH023046; 
 Thu, 13 Jun 2013 12:30:36 +0200
From: koen.meersman@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 24.3;
 gdb shell command does not work properly (zsh: command not found:
 -interpreter-exec)
Date: Thu, 13 Jun 2013 12:30:36 +0200
Message-ID: <mswqpye20j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset=iso-8859-1
X-OriginalArrivalTime: 13 Jun 2013 10:30:37.0004 (UTC)
 FILETIME=[0B1DE0C0:01CE6821]
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 13 Jun 2013 11:48:50 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

Commands to reproduce: 

1) M-x gdb

2) make sure: 'gdb -i=3Dmi brolleke' is on the command line.

3) in gud-brokkeke window, the gdb interface window, type 'shell'

4) in this shell type: 'ls'
    --> (gdb) shell
        ls
        $ -interpreter-exec console "ls"
        zsh: command not found: -interpreter-exec

5) commands like 'shell ls' are working.


--- complete output:
    Current directory is ~/
    GNU gdb (GDB) Red Hat Enterprise Linux (7.0.1-23.el5_5.2)
    Copyright (C) 2009 Free Software Foundation, Inc.
    License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.=
html>
    This is free software: you are free to change and redistribute it.
    There is NO WARRANTY, to the extent permitted by law.  Type "show copyin=
g"
    and "show warranty" for details.
    This GDB was configured as "x86_64-redhat-linux-gnu".
    For bug reporting instructions, please see:
    <http://www.gnu.org/software/gdb/bugs/>...
    /auto/home/mea/.gdbinit:100: Error in sourced command file:
    No symbol table is loaded.  Use the "file" command.
    brolleke: No such file or directory.
    (gdb) shell
    ls
    $ -interpreter-exec console "ls"
    zsh: command not found: -interpreter-exec


------

In GNU Emacs 24.3.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.10.4)
 of 2013-05-23 on dhbldd01
Windowing system distributor `The X.Org Foundation', version 11.0.70101000
System Description:	Red Hat Enterprise Linux Server release 5.5 (Tikanga)

Configured using:
 `configure
 '--prefix=3D/cm/ot/TOOL/GNU!MEA.UPD_EMACS_3/build_G!85.IP.L5/generated'
 '--exec-prefix=3D/cm/ot/TOOL/GNU!MEA.UPD_EMACS_3/build_G!85.IP.L5/generated=
/libexec/emacs-24.3'
 '--mandir=3D/cm/ot/TOOL/GNU!MEA.UPD_EMACS_3/build_G!85.IP.L5/generated/man'
 '--without-gif' '--with-xpm' '--with-png' '--with-jpeg' 'CFLAGS=3D-g
 -O2''

Important settings:
  value of $EMACSDATA: /cm/ot/TOOL/GNU.MEA.UPD_EMACS_3/build_G!85.IP.L5/gene=
rated/share/emacs/24.3/etc
  value of $EMACSDOC: /cm/ot/TOOL/GNU.MEA.UPD_EMACS_3/build_G!85.IP.L5/gener=
ated/share/emacs/24.3/etc
  value of $EMACSPATH: /cm/ot/TOOL/GNU.MEA.UPD_EMACS_3/build_G!85.IP.L5/gene=
rated/libexec/emacs-24.3/libexec/emacs/24.3/x86_64-unknown-linux-gnu
  value of $LANG: C
  value of $XMODIFIERS: @im=3Dnone
  locale-coding-system: nil
  default enable-multibyte-characters: nil

Major mode: Frames

Minor modes in effect:
  gdb-many-windows: t
  iswitchb-mode: t
  show-paren-mode: t
  which-function-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x g d b <return> b <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <home> 
<delete> <end> b r o l l e k e <return> s h e l l <return> 
l s <return> <help-echo> <help-echo> <down-mouse-1> 
<mouse-1> M-x r e p o r t <tab> <return>

Recent messages:
Loading version_emacs_startup...
Loading highlight-beyond-fill-column...done
Loading gpc...done
isearch-forwardisearch-backwardisearch-forward-regexpisearch-backward-regexp=
query-replacequery-replace-regexpreplace-regexpreplace-string
Loading gnat-fix-error...done
Note: file is write protected
Loading version_emacs_startup...done
Loading /cm/ot/TOOL/GNU!MEA.UPD_EMACS_3/build_G!85.IP.L5/generated/share/ema=
cs/24.3/site-lisp/emacs_startup.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
uncompressing gdb-mi.el.gz...done

Load-path shadows:
/cm/ot/TOOL/GNU!MEA.UPD_EMACS_3/build_G!85.IP.L5/generated/share/emacs/24.3/=
site-lisp/sh-script hides /cm/ot/TOOL/GNU!MEA.UPD_EMACS_3/build_G!85.IP.L5/g=
enerated/share/emacs/24.3/lisp/progmodes/sh-script

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils gdb-mi cl-macs gv derived bindat json gud
easy-mmode gnat-fix-error etags find-func gpc dired mule-util iswitchb
paren ada-xref ada-mode easymenu compile comint ansi-color ring
which-func imenu align find-file highlight-beyond-fill-column jka-compr
uniquify advice help-fns cl-lib advice-preload time-date tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)

-- 
Koen Meersman                          Eurocontrol - CFMU room 20.122
koen.meersman@HIDDEN          Raketstraat 96
Tel: +32 2 729 97 36                   B-1130 BRUSSELS
Fax: +32 2 729 90 22                   Belgium

____
=A0
This message and any files transmitted with it are legally privileged and in=
tended for the sole use of the individual(s) or entity to whom they are addr=
essed. If you are not the intended recipient, please notify the sender by re=
ply and delete the message and any attachments from your system. Any unautho=
rised use or disclosure of the content of this message is strictly prohibite=
d and may be unlawful.
=A0
Nothing in this e-mail message amounts to a contractual or legal commitment =
on the part of EUROCONTROL, unless it is confirmed by appropriately signed h=
ard copy.
=A0
Any views expressed in this message are those of the sender.




Acknowledgement sent to koen.meersman@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#14607; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 9 Jun 2024 21:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.